/**
 * @file
 * Enables syntax highlighting via highlight.js.
 */
import hljs from 'https://unpkg.com/@highlightjs/cdn-assets@11.8.0/es/core.min.js';

(function (Drupal, drupalSettings) {
  const languages = drupalSettings.highlightJsLanguages || [];
  const promises = languages.map(language => {
    return import(`https://unpkg.com/@highlightjs/cdn-assets@11.8.0/es/languages/${language}.min.js`)
      .then(module => hljs.registerLanguage(language, module.default));
  });

  Drupal.behaviors.highlightInit = {
    attach () {
      Promise.all(promises).then(() => {
        hljs.highlightAll();
      })
    }
  }
})(Drupal, drupalSettings)
